=== modified file 'Makefile'
--- Makefile	2009-01-15 04:21:32 +0000
+++ Makefile	2009-01-15 04:55:10 +0000
@@ -16,7 +16,7 @@
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.0.3
+version=1.0.4
 SED=sed
 
 ## Use these settings for a traditional /usr/local install

=== modified file 'NEWS'
--- NEWS	2009-01-06 05:10:34 +0000
+++ NEWS	2009-01-15 04:55:10 +0000
@@ -1,6 +1,18 @@
 This NEWS file records noteworthy changes, very tersely.
 See the manual for detailed information.
 
+Version 1.0.4 (2009-01-15)
+* Server
+** Only find matched user/group pairs when searching for suitable
+   nonprivileged user/group to switch to.
+
+* Client
+** New kernel parameter "mandos=off" makes client not run at boot.
+** Fix linking errors and compilation warnings on AMD64.
+** Parse numbers in command line options better.
+** The splashy and usplash plugins are more robust while traversing
+   /proc, and will not abort if a process suddenly disappears.
+
 Version 1.0.3 (2009-01-06)
 * Server
 ** Now tries to change to user and group "_mandos" before falling back

=== modified file 'debian/changelog'
--- debian/changelog	2009-01-10 05:41:16 +0000
+++ debian/changelog	2009-01-15 04:55:10 +0000
@@ -1,3 +1,12 @@
+mandos (1.0.4-1) unstable; urgency=low
+
+  * New upstream release.
+  * debian/watch: New file.
+  * debian/mandos-client.README.Debian: Document new "mandos=off" kernel
+    parameter.
+
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Thu, 15 Jan 2009 05:49:22 +0100
+
 mandos (1.0.3-2) unstable; urgency=low
 
   * Removed some now-unused debconf files.

=== modified file 'mandos'
--- mandos	2009-01-15 04:21:32 +0000
+++ mandos	2009-01-15 04:55:10 +0000
@@ -66,7 +66,7 @@
 import ctypes
 import ctypes.util
 
-version = "1.0.3"
+version = "1.0.4"
 
 logger = logging.Logger('mandos')
 syslogger = (logging.handlers.SysLogHandler

=== modified file 'mandos-ctl'
--- mandos-ctl	2009-01-15 04:21:32 +0000
+++ mandos-ctl	2009-01-15 04:55:10 +0000
@@ -30,7 +30,7 @@
 server_path = '/Mandos'
 server_interface = 'org.mandos_system.Mandos'
 client_interface = 'org.mandos_system.Mandos.Client'
-version = "1.0.2"
+version = "1.0.4"
 
 bus = dbus.SystemBus()
 mandos_dbus_objc = bus.get_object(busname, server_path)

=== modified file 'mandos-keygen'
--- mandos-keygen	2009-01-06 05:10:34 +0000
+++ mandos-keygen	2009-01-15 04:55:10 +0000
@@ -21,7 +21,7 @@
 # Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
-VERSION="1.0.3"
+VERSION="1.0.4"
 
 KEYDIR="/etc/keys/mandos"
 KEYTYPE=DSA

=== modified file 'mandos.lsm'
--- mandos.lsm	2009-01-15 04:21:32 +0000
+++ mandos.lsm	2009-01-15 04:55:10 +0000
@@ -1,7 +1,7 @@
 Begin4
 Title:		Mandos
-Version:	1.0.3
-Entered-date:	2009-01-06
+Version:	1.0.4
+Entered-date:	2009-01-15
 Description:	The Mandos system allows computers to have encrypted
 root file systems and at the same time be capable of remote and/or
 unattended reboots.
@@ -12,9 +12,9 @@
 Maintained-by:	teddy@fukt.bsnet.se (Teddy Hogeborn),
 		belorn@fukt.bsnet.se (Björn Påhlsson)
 Primary-site: http://www.fukt.bsnet.se/mandos
-	      92K mandos_1.0.3.orig.tar.gz
+	      94K mandos_1.0.4.orig.tar.gz
 Alternate-site: ftp://ftp.fukt.bsnet.se/pub/mandos
-		92K mandos_1.0.3.orig.tar.gz
+		94K mandos_1.0.4.orig.tar.gz
 Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.4, and
 various other libraries.  While made for Debian GNU/Linux, it is
 probably portable to other distributions, but not other Unixes.

